
package de.ivu.elect.business.sitzberechnung.control.verteilung;

/**
 * Teilnehmer an einem Verfahren zur Sitzverteilung
 * 
 *
 */
public interface Teilnehmer {

  long getStimmen();

  /**
   * @return Anzahl Sitze, die der Teilnehmer schon vor der betreffenden Sitzverteilung gewonnen hat und die ggf. dafür
   *         relevant sind. Wird z.B. bei der Fortsetzung einer D'Hondt-Verteilung verwendet.
   */
  default long getSitzeVorab() {
    return 0;
  }

}
